Skip to main content
POST
Set reminder

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

taskId
string
required

Task id from list_tasks or search_tasks.

Required string length: 1 - 64

Body

application/json
message
string
required

What the task's agent should do or check when the reminder fires.

Required string length: 1 - 4096
firesAt
string<date-time>
required

When the reminder fires: ISO date-time with offset (2026-10-01T09:00:00+02:00), in the future and at most 30 days ahead.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$

Response

Success

The response is of type object.